var xmlhttp;
var helpItem;
var helpObj = new Object();

aaManageEvent(window,"load", function() {
   var items = document.getElementsByTagName('label');
   for (var i = 0; i < items.length; i++) {
       aaManageEvent(items[i],"mouseover",showHelp);
       aaManageEvent(items[i],"mouseout",hideHelp);
   }
});


function showHelp(evnt) {
  evnt = (evnt) ? evnt : window.event;
  // Tworzy obiekt XMLHttpRequest, jeśli nie jest dostępny
  if (!xmlhttp) xmlhttp = aaGetXmlHttpRequest(); 
  if (!xmlhttp) return;

  helpItem = (evnt.currentTarget) ? evnt.currentTarget.id : evnt.srcElement.id;
  var qry = "item=" + helpItem; 

  // Jeśli element jest w pamięci podręcznej, wyświetla go i zwraca sterowanie
  if (helpObj[helpItem]) { 
      printHelp();
      return;
  }

  // Wywoływanie systemu pomocy
  var url = 'help.php?' + qry;
  xmlhttp.open('GET', url, true);
  xmlhttp.onreadystatechange = getHelp;
  xmlhttp.send(null);
}

function hideHelp() {
   document.getElementById('help').style.visibility="hidden";
}

function getHelp() {
   if(xmlhttp.readyState == 4 && xmlhttp.status == 200) {
      helpObj[helpItem] = xmlhttp.responseText;
      printHelp();
   }
}

function printHelp() {
  var help = document.getElementById('help');
  help.innerHTML = helpObj[helpItem];
  help.style.visibility="visible";
}
